<?php
    $wp_options = $this->load_options();
    $is_title_active = (intval($wp_options['title']) === 1);
    $is_media_active = (intval($wp_options['media']) === 1);
?>
<div class="wrap">
    <div id="icon-plugins" class="icon32 <?php echo $this->textdomain; ?>"><br /></div>
    <h2><?php _e('Strings Sanitizer', $this->textdomain); ?></h2>
    <p><?php _e('Aggressively sanitizes titles for clean, SEO friendly post slugs, and media filenames during upload.<br />Works by converting common accentuated UTF-8 characters, as well as a few special cyrillic, hebrew, spanish and german characters.', $this->textdomain); ?></p>
    <form method="post">
        <input type="hidden" name="action" value="<?php echo $this->textdomain; ?>-update" />
        <?php wp_nonce_field('update'); ?>
        <table class="form-table">
            <tr valign="top">
                <th scope="row"><?php _e('Sanitize titles', $this->textdomain); ?></th>
                <td>
                    <fieldset>
                        <label for="title"><input name="title" type="checkbox" id="title" value="1" <?php if ($is_title_active): ?>checked="checked"<?php endif; ?> />&nbsp;<em><small><?php if ($is_title_active): ?><?php _e('Click to deactivate', $this->textdomain); ?><?php else: ?><?php _e('Click to activate', $this->textdomain); ?><?php endif; ?></small></em></label>
                    </fieldset>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row"><?php _e('Sanitize media filenames', $this->textdomain); ?></th>
                <td>
                    <fieldset>
                        <label for="media"><input name="media" type="checkbox" id="media" value="1" <?php if ($is_media_active): ?>checked="checked"<?php endif; ?> />&nbsp;<em><small><?php if ($is_media_active): ?><?php _e('Click to deactivate', $this->textdomain); ?><?php else: ?><?php _e('Click to activate', $this->textdomain); ?><?php endif; ?></small></em></label>
                    </fieldset>
                </td>
            </tr>
        </table>

        <p class="submit"><input type="submit" name="submit" id="submit" class="button-primary" value="<?php _e('Save Changes', $this->textdomain); ?>" /></p>

    </form>